]> git.zerfleddert.de Git - m1-debian/blobdiff - gpu.sh
Merge branch 'master' of 88.198.237.222:/git/m1-debian
[m1-debian] / gpu.sh
diff --git a/gpu.sh b/gpu.sh
index 15719b70c8721288ffa18d64f32ac75d70f565b8..fc94ab241089b9b2e40f58add5db43f2e308b717 100644 (file)
--- a/gpu.sh
+++ b/gpu.sh
@@ -1,9 +1,13 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
 # SPDX-License-Identifier: MIT
 
-set -x
-set -e
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
 
 unset LC_CTYPE
 unset LANG
@@ -14,12 +18,12 @@ build_linux()
         test -d linux || git clone https://github.com/AsahiLinux/linux
         cd linux
         git fetch -a -t
-        git reset --hard origin/gpu/rust-wip;
+        git reset --hard asahi-6.1-rc5-11;
         source "$HOME/.cargo/env"
-        curl -sL https://tg.st/u/3007a82fe2f3ef7d91945e1cb3e5a167f8d6b0550ecb67850d1cd85f3efa112e.config > .config
+        cat ../../config.edge > .config
         make LLVM=-14 olddefconfig
         make LLVM=-14 -j `nproc` V=0 > /dev/null
-        sudo make LLVM=-14 modules_install
+        sudo make LLVM=-14 V=0 modules_install > /dev/null
         sudo make LLVM=-14 install
 )
 }
@@ -30,7 +34,7 @@ build_m1n1()
         test -d m1n1 || git clone --recursive https://github.com/AsahiLinux/m1n1
         cd m1n1
         git fetch -a -t
-        git reset --hard origin/lina/gpu-wip;
+        git reset --hard v1.1.8;
         make -j `nproc`
 )
 }
@@ -41,8 +45,8 @@ build_uboot()
         test -d u-boot || git clone https://github.com/AsahiLinux/u-boot
         cd u-boot
         git fetch -a -t
-        git reset --hard origin/asahi;
-        curl -s https://tg.st/u/0001-usb-request-on-8-bytes-for-USB_SPEED_FULL-bMaxPacket.patch | git am -
+        git reset --hard asahi-v2022.10-1;
+
         make apple_m1_defconfig
         make -j `nproc`
 )
@@ -51,6 +55,8 @@ build_uboot()
         sudo cp u-boot.bin /boot/efi/m1n1/boot.bin
 }
 
+echo 'Warning: Has no gpu yet'
+
 mkdir -p build
 cd build
 
Impressum, Datenschutz